<?php
namespace Teknisa\PED\Modules\Pedidos\Controllers;

    use \Teknisa\GER\Libraries\PHPMailer;
    use Teknisa\PED\Controllers\TeknisaCrud;
    use Teknisa\GER\Controllers\CrudController;
    use Teknisa\PED\Modules\Pedidos\Services\ped08000TabelaDescontoService;
    use Zeedhi\Framework\DTO;
    use Zeedhi\Framework\DTO\Response\Error;
    use \Zeedhi\Framework\DataSource\DataSet;
    use Zeedhi\Framework\DataSource\ParameterBag;

    class ped08000TabelaDescontoController extends TeknisaCrud {
        protected $dataSourceName = 'preco_base_produto';
        protected $dataSourceNameToSave = '';
        protected $environment;
        protected $TabelaDescontoService;

        public function __construct($crudService, ParameterBag $parameterBag, $environment, $TabelaDescontoService){
            $this->environment = $environment;
            $this->parameterBag = $parameterBag;
            $this->TabelaDescontoService = $TabelaDescontoService;
            parent::__construct($crudService, $parameterBag);
        }

        public function getNewNRTABDESC(DTO\Request\Filter $request, DTO\Response $response){
            try {
                $newCode = $this->TabelaDescontoService->getNewNRTABDESC();
                $dataSet = new DataSet ('data', $newCode);
                $response->addDataSet($dataSet);
            } catch (\Exception $e) {
                $response->setError(DTO\Response\Error($e->getMessage()));
            }
        }
        
        public function getNewNRITTABDESC($request, $response){
            try {
                
                $dataSet = $request->getDataSet();
                $rows = $dataSet->getRows();
                $row = $rows[0];
                
                $newCode = $this->TabelaDescontoService->getNewNRITTABDESC($row['NRTABDESC'], $row['CDPRODUTO']);
                $dataSet = new DataSet ('data', $newCode);
                $response->addDataSet($dataSet);
            } catch (\Exception $e) {
                $response->setError(DTO\Response\Error($e->getMessage()));
            }
        }
        
        public function salvar($request, $response) {
            $this->dataSourceName = 'vendedor_venditemped_pedido';
            $data = $request->getDataSet();
            $rows = $data->getRows();
            
        }
        
        /*public function saveDescprodped($request, $response) {
            $this->dataSourceName = 'descprodped';
            // $data = $request->getRow();
            parent::save($request, $response);
            // $rows = $data->getRows();
        }*/

    }
?>